package com.brilliance.mda.support.mybatis.dync.mapper;

import org.mybatis.spring.SqlSessionTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

@Component
public class DbExecuteMapper {

    @Autowired
    SqlSessionTemplate sqlSessionTemplate;

    final String FNAME = this.getClass().getName();

    public List<Map<String,Object>> dyncReadForMap(Map<String,Object> params){
        return sqlSessionTemplate.selectList(FNAME+".dyncReadForMap",params);
    }
    public int dyncUpdateForMap(Map<String,Object> params){
        return sqlSessionTemplate.update(FNAME+".dyncUpdateForMap",params);
    }
}
