package com.brilliance.mda.support.mybatis.count;


import com.brilliance.mda.support.mybatis.count.mapper.CounterMapper;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import javax.annotation.Resource;

/**
 * @author hulei
 * dbcounter基于oracle自主事务的实现
 */
//@Service
public class CounterImplWithOracleTransaction implements CounterService {

    Logger logger = LoggerFactory.getLogger(this.getClass().getName());

    @Resource
    public CounterMapper counterMapper;

    public int dbCounter(String seqname) {
        String seq = "SEQ_" + seqname.toUpperCase();

        return counterMapper.seqNextval(seq);
    }

}
