package com.brilliance.mda.support.mybatis.count.mapper;

import org.apache.ibatis.annotations.Param;
import org.mybatis.spring.SqlSessionTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;


@Component
public class CounterMapper{

    final String FNAME = this.getClass().getName();

    @Autowired
    public SqlSessionTemplate template;


    public Integer getCountValWithUpdate(@Param("nam") String seqName){
        return template.selectOne(FNAME+".getCountValWithUpdate",seqName);
    }


    public int insertNewCounter(@Param("nam") String nam, @Param("stp") int stp){
        Map<String, Object> map = new HashMap<>();
        map.put("nam", nam);
        map.put("start",1);
        map.put("stp", stp);
        return template.insert(FNAME+".insertNewCounter",map);
    }


    public void updateCounter(@Param("nam") String seqName){
        template.selectOne(FNAME+".updateCounter",seqName);
    }

    public int seqNextval(String seqName) {
        return template.selectOne(FNAME+".seqNextval",seqName);
    }

    public int dbCounter(String seqName){
        return template.selectOne(FNAME+".dbCounter",seqName);
    }
}